Bug 203136 - Fetching from repository never ends
Fetching from repository never ends
Status: NEW
Product: versioncontrol
Classification: Unclassified
Component: CVS
7.1
PC Windows XP
: P3 (vote)
: TBD
Assigned To: Ondrej Vrabec
issues@versioncontrol
: REGRESSION
Depends on: 202392
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-05 12:11 UTC by ulfzibis
Modified: 2011-10-11 16:51 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
logs (58.15 KB, application/x-zip-compressed)
2011-10-05 12:14 UTC, ulfzibis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ulfzibis 2011-10-05 12:11:16 UTC
[ BUILD # : beta ]
[ JDK VERSION : <1.6.20 ]

- open old project <http://netbeans.org/bugzilla/attachment.cgi?id=111524>
- on node de.CoSoCo.io.File.java CVS->DIFF
--> error message in german "Die Pipe wurde beendet."
--> after: fetching from repository never ends
Comment 1 ulfzibis 2011-10-05 12:14:38 UTC
Created attachment 111530 [details]
logs
Comment 2 ulfzibis 2011-10-08 12:48:10 UTC
REGRESSION -> P2

This project worked in some older NB version around 5.0.
In older version, it was possible to edit the versioning properties, e.g. the repo URL. In 7.1 I don't find this ? 

Please note, that in this project the repository is local, included in <http://netbeans.org/bugzilla/attachment.cgi?id=111524>
Comment 3 Ondrej Vrabec 2011-10-11 13:57:02 UTC
Hi Ulf,
first, i must say that i don't know CVS very well neither i use it regularly. I don't understand one thing, why do you have the CVS repository (Java\repository) inside the CVS checkout (Java)? Is that a common scenario?
I managed to get your project working again by following these steps:
1) move Java\repository outside the checkout, let's say to C:\Projects\repository
2) Open the Java project in the IDE
3) Team -> CVS -> Change CVS Root with the project selected
4) Set the new path to C:\Projects\repository

Can you do the same? Does it help? Probably our CVS client is unable to communicate with a repository that resides inside a CVS checkout, but still this will probably end up as a WONTFIX, it's not worth fixing IMO.
Comment 4 ulfzibis 2011-10-11 14:57:21 UTC
(In reply to comment #3)
> I don't understand one thing, why do you have the CVS repository
> (Java\repository) inside the CVS checkout (Java)? Is that a common scenario?
Why is the repository at Mercurial in the work dir path?
(I tried to share an HG repository from multiple work dirs to save disk space, but had no success / did not know how to do)
My reason: Have all files of a project in one tree.

> Can you do the same? Does it help?
Yes, it did.

> Probably our CVS client is unable to
> communicate with a repository that resides inside a CVS checkout,
After I moved back the repo to Java\repository, changed the CVS root again, and, happy, it works now!
So there seems a problem on importing the old project / setting from older IDE.
Isn't CVS plugin working independently of a CVS client?

> but still this will probably end up as a WONTFIX, it's not worth fixing IMO.
Well, but this is no excuse to never return an error message.
Comment 5 Ondrej Vrabec 2011-10-11 15:52:36 UTC
> Why is the repository at Mercurial in the work dir path?
But that's different. CVS is more similar to subversion and you don't have a svn repository inside a svn checkout now, do you?
> After I moved back the repo to Java\repository, changed the CVS root again,
> and, happy, it works now!
Weird, for me, it didn't work, it returned "broken pipe" error
> So there seems a problem on importing the old project / setting from older IDE.
I don't think so, the cause of this is probably because sometimes around 5.0 the cvs support was completely rewritten and stopped using a commandline cvs client.
> Isn't CVS plugin working independently of a CVS client?
Yes it is, i think.
> > but still this will probably end up as a WONTFIX, it's not worth fixing IMO.
> Well, but this is no excuse to never return an error message.
I'll look at the never-ending diff progress, but it's just a UI annoyance (i doubt we can consider it as a P2). Moreover i think it is covered in #202392 (the same consequence of an error during the diff preparation)
Comment 6 ulfzibis 2011-10-11 16:45:44 UTC
(In reply to comment #5)
> > Why is the repository at Mercurial in the work dir path?
> But that's different. CVS is more similar to subversion and you don't have a
> svn repository inside a svn checkout now, do you?
Hm, I would say, if there is no server involved and repo is on local disk, then CVS and SVN are very close to HG in that manner (besides other important, but not repo location concerning differences). The only missing is the push facility

> > After I moved back the repo to Java\repository, changed the CVS root again,
> > and, happy, it works now!
> Weird, for me, it didn't work, it returned "broken pipe" error
I used the Favourites browser for the move. I got an error, but via Windows Explorer I could see only 1 file not moved, so I moved it manually.

> > So there seems a problem on importing the old project / setting from older IDE.
> I don't think so, the cause of this is probably because sometimes around 5.0
> the cvs support was completely rewritten and stopped using a commandline cvs
> client.
Yes, that must be the global cause, but what is the detail cause ...and why does it behave different on your system (Windows dependent?) ?

> > > but still this will probably end up as a WONTFIX, it's not worth fixing IMO.
> > Well, but this is no excuse to never return an error message.
> I'll look at the never-ending diff progress, but it's just a UI annoyance (i
> doubt we can consider it as a P2).
What about remaining at P2, but waive it to future, until reported by more users. It is still a not small regression, not to be backward compatible to a historical project and not be able to access a repository.

> Moreover i think it is covered in bug 202392
Please use 'bug' prefix to generate a link here.
Comment 7 ulfzibis 2011-10-11 16:48:38 UTC
(In reply to comment #6)
> I used the Favourites browser for the move. I got an error, Bug 203524, ...


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo